# Class PersistentSnippet

java.lang.Object
jdk.jshell.Snippet
jdk.jshell.PersistentSnippet

Direct Known Subclasses:
  `DeclarationSnippet, ImportSnippet`

public abstract class PersistentSnippet extends Snippet
Grouping for Snippets which persist and influence future code. A persistent snippet can be overwritten with new input.

`PersistentSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in class Snippet

`Snippet.Kind, Snippet.Status, Snippet.SubKind`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
Name of the Snippet.

### Methods declared in class Snippet

`id, kind, source, subKind`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### name

public String name()
Name of the Snippet.

Returns:
  the name of the snippet.